<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/common_collection_image"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:actualImageScaleType="centerCrop"
            app:backgroundImage="@color/placeholder_bg"
            app:fadeDuration="500"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:placeholderImage="@drawable/preload"
            app:pressedStateOverlayImage="@color/pressed_bg"
            app:viewAspectRatio="2" />
    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/gameNameContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/gameName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/text_primary"
            android:textSize="14sp"
            tools:text="火炬之光：无限" />

        <TextView
            android:id="@+id/gameSubtitle"
            android:layout_width="wrap_content"
            android:layout_height="14dp"
            android:layout_marginStart="4dp"
            android:background="@drawable/bg_advance_download_game_subtitle"
            android:paddingLeft="2dp"
            android:paddingRight="2dp"
            android:singleLine="true"
            android:textColor="@color/text_secondary"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            tools:text="副标题"
            tools:visibility="visible" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_explain"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_secondary"
        android:textSize="12sp"
        android:visibility="gone"
        tools:text="linkDes1"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/tv_recommend"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_tertiary"
        android:textSize="12sp"
        tools:text="linkDes2"
        tools:visibility="visible" />
</LinearLayout>